SystemOrganization addCategory: #'Ring-GUI-Core'!

MORectangleShape subclass: #RGLabelShape
	instanceVariableNames: 'interlineSpace'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ring-GUI-Core'!

!RGLabelShape classSide methodsFor: 'objects' stamp: 'VeronicaUquillas 8/2/2010 13:11'!
mediumFont

	^self new 
		mediumFont! !

!RGLabelShape classSide methodsFor: 'objects' stamp: 'VeronicaUquillas 8/2/2010 13:11'!
smallFont

	^self new 
		smallFont! !

!RGLabelShape methodsFor: 'private' stamp: 'VeronicaUquillas 10/7/2011 13:07'!
computeHeightFor: aFigure
	| h |
	h := 5.
	"Note that we do not consider multilines label for now"
	text isNil ifFalse: [ h := self textHeightFor: aFigure ].
	^h! !

!RGLabelShape methodsFor: 'initialization' stamp: 'VeronicaUquillas 8/2/2010 13:27'!
initialize
	super initialize.
	interlineSpace:= 1.
	textVerticalPadding := 1.
	textHorizontalPadding := 1.
	self withoutBorder.
	self withoutBackground! !

!RGLabelShape methodsFor: 'accessing' stamp: 'VeronicaUquillas 8/2/2010 13:17'!
interlineSpace

	^interlineSpace! !

!RGLabelShape methodsFor: 'accessing' stamp: 'VeronicaUquillas 8/2/2010 13:17'!
interlineSpace: anInteger

	interlineSpace:= anInteger! !

!RGLabelShape methodsFor: 'accessing' stamp: 'VeronicaUquillas 6/18/2010 16:00'!
logicalFontFor: size

	^LogicalFont familyName: self class defaultFont familyName pointSize: size! !

!RGLabelShape methodsFor: 'drawing' stamp: 'VeronicaUquillas 8/2/2010 13:10'!
mediumFont

	^self fontSize: 7! !

!RGLabelShape methodsFor: 'drawing' stamp: 'VeronicaUquillas 8/2/2010 13:10'!
smallFont

	^self fontSize: 6! !

!RGLabelShape methodsFor: 'accessing' stamp: 'VeronicaUquillas 6/22/2010 14:56'!
widthOfText: aString

	^((self logicalFontFor: self fontSize) widthOfString: aString) + 4! !

!RGLabelShape methodsFor: 'drawing' stamp: 'VeronicaUquillas 7/20/2010 11:05'!
withBackground
	fillColor := self defaultFillColor ! !

Object subclass: #RGMenuIcons
	instanceVariableNames: ''
	classVariableNames: 'Icons'
	poolDictionaries: ''
	category: 'Ring-GUI-Core'!

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 23:22'!
addGreyIcon
	"Private - Generated method"
	^ Icons
			at: #'addGrey'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self addGreyIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 23:22'!
addGreyIconContents
	"Private - Method generated with the content of the file icons/addGrey.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAADDklEQVQ4jWWRTWgcZQCGn5md
TWd2sj/JJrhJWtOYQkqo9hYwFE8t6sGDt956loIXz6X0KiE5CwUprVlUqpTaxhKV1GAp2B+S
qind3fw1CGV3SLI7OzPffDPf50EDbX3uz3N4X4PXWFr69VShUDhn27npbDZbUVr5QojVMAi+
e/Dg9/nz5z8RrzsAVKtf9z18+PjbjY3nyvPauuMLHYSpjoTS3SDRLa+j/1p7VltaWp7+nzw/
X+179GhldXv7b91s7em9PV/7/wVErHQstY6l0u2O0PXGdnDnzuKZA9cEGB8/drlYKr3d09MD
WqGUQsQRW5sNPM9DpQoNOHaWcnnAGRk5Up2dnRsGMBcXfz5l287HuZxLxrIAA6VSWq0md+/+
wh9PHiMTSSIVqQI310Opr788PDxyAcB0nNw5J+catm1jmiamaQKQJglCCKSUJFKSJjGJTMAw
sG2bsbeOnZ2YOO5YwLRtO1hWllhE7Ow8R6kUz/MIwxCv5bG5uY5pmgwMDFIolshkMti2U6pU
3jhhgVGxLItMxqTZanL9+jevDFxv1Kk36gBMTU3x7vR7KKUBcN3eIUup1E/TtD9jGuR780xO
TqK1pt1uU6vVKBWLHB0bwzAMKpUhhBAkSYKUkv39/dDSWq92Op03K5VBnJzLBx9+hFKKjfV1
VldWOD4xwenT76O1JklTojAkigRCREmt9uypCcb3u7u7dLtdQJMkKVqD1oooioilRGlNLCVR
GNINuvi+z5PVlfvNZvOFuby8NB/HUWNra4eslSEMI+JYks8XeefkScbHx4njmCiKCIKAbrdL
EHTVlStfzmitYwPg9u0fpx3H/ak8MOiUy/2EoSCTMQFNmqbIOEYIQRiFRGHErVs3v5iZ+fxT
4N8AwI0bN8/09haqTs4tu64LgGEYKKWQUiKEIBaRWlj44fLc3OxnSZL4AMbLl128eGl4dPTo
hcOHj5ztOXSohGGABqXSZG3tz/tfXbs6c+/ebwtAfOC8EjhgdHTUGRoaPpHP54d83w/r9drT
ZrP54mXxgH8ASHKych7RksQAAAAASUVORK5CYII='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/29/2009 23:42'!
addIcon
	"Private - Generated method"
	^ Icons
			at: #'add'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self addIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/29/2009 23:42'!
addIconContents
	"Private - Method generated with the content of the file icons/add.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABHNCSVQICAgIfAhkiAAAAAlw
SFlzAAALEgAACxIB0t1+/AAAACB0RVh0U29mdHdhcmUATWFjcm9tZWRpYSBGaXJld29ya3Mg
TVi7kSokAAAAFnRFWHRDcmVhdGlvbiBUaW1lADExLzA1LzA33bqJ2wAAAc5JREFUeJyNU8Fq
E1EUPffNdOxIrGJ04wR3FSwoQmPduBFEyC4FNxW/wLWrLhSF7l35C1kmu27ciC40xGIVgyii
xKlkYalmknQmk3uvixj7mgmpZ/V499x7znmPS6oKGxc/3L7s0dwjR03RgSmwMBIZhImkjUQG
D78vb76z+WQPuNK8U3XIlFtJG3scgcEAAAcGOfjI6wJSGdZaK5urhwbcD5/MP4+2Pv8c/ip8
G/zALOT5BHz2wqB3evHVzUpsAOBZp175n2YA2HUidGm/8GW+XQEAKjbvXhVofav/MUPW5cbI
5ptipnaml4OIrJhYBhutpD1b9nUnc9X1YqTEG8anY0t7HB1pfRKJy6BUl1xVDcavbdu2ofc+
/TuP4ygphCUwLJxpmAkrDqvAHQrvODABQw4U/pLGyvT0QmYOKcDCO25X+s0c/OA3egfVawtZ
5Yk7igF2pWnmxFnP65SGI2AihqS8TqqK8/VStY+4vOtM+Y1xZsuB6Qg05pqUtlcNACwm59Z8
9sJT6fHp1ieb+xzq1/01YGKZzr68UYVouevFSFyG0qhGOspsIgZDalLaPrxMNk6+uH4JrI+V
tahDKbAKGBwySUNIH8itt+9t/h/sYf0JXvR+8AAAAABJRU5ErkJggg=='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 23:38'!
addMiniIcon
	"Private - Generated method"
	^ Icons
			at: #'addMini'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self addMiniIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 23:38'!
addMiniIconContents
	"Private - Method generated with the content of the file icons/addMini.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAGXRFWHRTb2Z0d2FyZQBBZG9i
ZSBJbWFnZVJlYWR5ccllPAAAAOxJREFUeNpi/P//PwMlgImBQjDwBrCgCzDOE2Zg4Aaay8g4
E8g1BuKzDP//pzN8/cfwP+ktkS74CQzY3/+NU1wTjEE0mE+0F/4zzGT48/8Mw89/DB//fmQA
0WA+SJwYLwA1GDsGOYGczvDmzxsGRy8HMHv/un3EhQHDj39n9y/dA2bqhOkbX1l18SwkcBjO
EmfAzp/pDCAv27Geeff3HQPDd6AXDv02Ybj3l4GhiBgDdv3kBJIqDDz/bj17douB4QXDLYbd
v42AYg+BGCMaGNGTMiMjIyuQEgJiZpSgZWD4CFT7jaABIzAvAAQYAPgHXSVtjvC3AAAAAElF
TkSuQmCC'! !

!RGMenuIcons classSide methodsFor: 'private - loading' stamp: 'VeronicaUquillas 10/29/2009 23:35'!
base64ContentsOfFileNamed: aString 
	"Private - convenient method"
	
	| file base64Contents |
	file := FileStream readOnlyFileNamed: aString.
	base64Contents := (Base64MimeConverter mimeEncode: file binary) contents.
	file close.
	^ base64Contents! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/11/2009 11:39'!
classIcon
	"Private - Generated method"
	^ Icons
			at: #'class'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self classIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/11/2009 11:39'!
classIconContents
	"Private - Method generated with the content of the file icons/class.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAEoSURBVDjLnZIxS8NAGIabf5Jf
URf/g2NxyCCEbAGXcuCWIQSC3C4hZHPXttopKI5S6KaC2E2umDRSg6SXwGcubeAuCeVs4F0e
3nu43Pf1AKDXTPmpZfpc1K5e1e04rLBDRVEAS5ZlsE+yVxBFEdSinUT5lyBNU0iS5HBBnudA
KT1cwEdawE9B1/XYMIxY6hHDMMS+7xOMMXEch9i2TYIgGLiuO7AsiyCEqpimSUoxFgTsap7n
Ef6Ku19RupimaYRj7aWRZbWguTRHZU4kWC3eCsKXGBbxpn7xMzbC9fMNFJ+vArtdjuAjW/CT
2Qqe3tfw8JYI5d/5HfzMRgK7X01h/DVpCy4fv+FiuhLK9Poc6NWpwIZLBEOC2oLG0lRlCdbv
mgLLsSRT/wAPFzLO5ovpLAAAAABJRU5ErkJggg=='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/31/2009 14:52'!
commentAddIcon
	"Private - Generated method"
	^ Icons
			at: #'commentAdd'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self commentAddIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/31/2009 14:52'!
commentAddIconContents
	"Private - Method generated with the content of the file icons/commentAdd.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAGkSURBVDjLrZJPKINhHMd3UsrJ
TcpBDi6UC+3ookQ5OOBAaCh2cFQ40GqTzURTihI54DRp8dqBg3BQw5BtNmxe/4flT9re5+v3
vJvF2l6Kp749Pe/7fj7P7/09jwqA6i9R/ZugVr+cSZmlvFOgEIGSl0xgnVt3IRyRoDSWtn1c
4qakxQW0yKBEJMbw+MpwHWIQnxgCDwxnQQbvHYP7RoLnJirvntrkkuKvghytZU1+eUWg+Mjg
J/j0nuEkBh9dSTgQo4KB+R0uqEgquCD4PBiDbxlc11HYSfBuILUg/gu8fB/t6rmVcEzw4aWE
fYIdAS6IyILe6S0uUCdtIpd8Hbwah1+SxQlNTE91jJHPI5tcPoiLrBsL6BxrQOtQFep0pc/l
XYU9P14kkngugy/onxlF30ITlpwWOEQB5tV21JgLUNKRZVSCTeM2J6/kuV5fFrbuD8N6OCJX
Y7S3wGxv44K3VHAuxUvR8HVldxFszolvvVncs3DB7+67Wpv9Nig0Qy80yrB+pVG5gsTQh7pq
Yz5Mgkbemc98rdiDJBIDJcTLjs0G/vwDCw/6dFwBuzsAAAAASUVORK5CYII='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/31/2009 14:52'!
commentDeleteIcon
	"Private - Generated method"
	^ Icons
			at: #'commentDelete'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self commentDeleteIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/31/2009 14:52'!
commentDeleteIconContents
	"Private - Method generated with the content of the file icons/commentDelete.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAG2SURBVDjLrZNJKIRhGMdHxpTt
wIUoRRxdlZvcJsuFcBAHFHGSSBKlbCUZOTgolLKXskyDshwsJWQLYx+DGcaSsWS+5+95Z5jQ
zJjirf/hfb9+v+d5l08GQPaXyP5NkFGnDuT0cF45cBENJ9KRYKRvdg9vFgmuxujSkZDscxR2
AU/8OBaJCHdPhKsHgv6eoLslnJgIh9eEfYMErcEmr+hcEJKYr4KworYZ68dLBvV3hDOGj28I
Bx/wzqWELb1N0NC/IgQJDgXnDJ+aPmAjYe/KBm8yvK5zLrBvQbR/xFW1Rgm7DG9fSNhgeE0n
BBaroLJ7UQhiHR6ikHwdopu1M8kq/nGI3s6u0fJ5ZR3qLbtIoyrARFoQpuLlGE70oZb0QM2v
D4kl2guTGV3VmVgticXzWBNoWw1zbzGWC6NRk+o/7Qpuah/fFJ08DiX50RPDUCUBZQFAbTiM
jXHoUyrIGRzBOeTkirlom1aGv53NbVUwJnndrfc+wJUeO3IAhl5KZTBxTvI9Maj0IrcErVkh
cwt5UdCXhcNQ7oWDXA9MJctRn+I77/Zf15wdOtOvVEii7QGuzPCsWH8HCxz5pzmy7lQAAAAA
SUVORK5CYII='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/31/2009 14:52'!
commentEditIcon
	"Private - Generated method"
	^ Icons
			at: #'commentEdit'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self commentEditIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/31/2009 14:52'!
commentEditIconContents
	"Private - Method generated with the content of the file icons/commentEdit.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAIWSURBVDjLjZNPSBRRHMf32rVT
dFOsDkJEhODNLGqXukgJpmiEURBGdEnbskNktrhCRQuaLEEikUhlbK5EiZmxjbWwfxvL0dHd
tdlCx3VtZxyaed/eG5qwZct98DnM4/f9vN/M+40NgK1Y5p7tPTY9UIeZ4Q6EvIcQ9pQ3FR1O
+kvqpbFWZCI+YG0RK5EhBNz2dFHhxIvSWjl+TdOSzyGNd0GJPoE+P4nogzPqpuGUv8wux64a
hjIJZbYFy1Pnwfc3I9LXuDR1t2bnf8PC0xKHHL0MQw0gJ5yEmmhA9pMTYm9VOth9cA+rsdV1
jm6lDFA0Cizabl6H9KH1d7gJ6kI9VmNXIHiqs5/dFfusQ5hg+PGbL/ipG7CWxPvAv7wEQ5mA
KjZjPdGIDO2E9xwmgS7Hjo1dMoFuEIKMQvAtS8C9eoT4iBNh/22kuFrkxAYsh9ow661Bp9fH
uqv4S9DiGTdPTa8SfM0QDLoOANl5TN8/jjHndrzrceCt2w71uwDXYJAJjhQULNJwQia4cXY3
tMA9aNwdcB37MXRuF4Ih3qwpKLBegbUvLhGcqN6GW6fK8dp1FBP9F/AxvoBwSjcF7Q/fM0Fl
vsD8iEyycbFuQknDFLPl40QWnqFsyRdY16hbV+gdjf8Rraytm890P0opy5+VggNECwVJzllB
ldL+r2ErFO7uHYmx4A/Kxc1GPT9cSpmjnC72L/0FRS76cD+dhSEAAAAASUVORK5CYII='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/31/2009 14:52'!
commentIcon
	"Private - Generated method"
	^ Icons
			at: #'comment'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self commentIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/31/2009 14:52'!
commentIconContents
	"Private - Method generated with the content of the file icons/comment.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAEvSURBVDjLY/j//z8DJZiBagZE
tO8QAuKlQPwTiP/jwbuAWAWbARtXHrz1//efv//xgS0n74MMuQ3EbHADgBweIP7z99+//x++
/fv/8tO//88+/vv/5P2//w/f/ft/782//7df/f1/5xXE8OoFx0GGmCEbIJcz9QBY8gVQ47MP
//4/Bmp+8Pbf/7tQzddf/P1/9RnEgM5VZ0EGeGM14ClQ86N3UM2v//2/9RKi+QpQ88UnuA2A
ewHk/PtAW++8/vv/JlDzted//18Gar7wBGTAH7ABtYtOgAywxBqIIEOQAcg1Fx7/BRuMFoic
uKLxDyzK5u64Cjfo/ecfYD5Q/DLWaMSGgQrvPH/3FabxOxDXEp0SgYp7Z267AtL4BYgLSUrK
QA1KQHwPiFPolxcGzAAA94sPIr7iagsAAAAASUVORK5CYII='! !

!RGMenuIcons classSide methodsFor: 'private - loading' stamp: 'VeronicaUquillas 12/2/2011 12:53'!
createIconMethodsFromDirectory: directory 
	"
	Preferences disable: #showWorldMainDockingBar. 
	RGMenuIcons createIconMethodsFromDirectory: 'icons/'. 
	Preferences enable: #showWorldMainDockingBar.
	"
	| iconContentsSourceTemplate iconSourceTemplate normalSize smallSize |
	iconContentsSourceTemplate := '{1}IconContents
	"Private - Method generated with the content of the file {2}"
	^ ''{3}'''.
	iconSourceTemplate := '{1}Icon
	"Private - Generated method"
	^ Icons
			at: #''{1}''
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self {1}IconContents readStream) ].'.
	
	normalSize := #('add' 'edit' 'delete' 'class' 'comment' 'commentAdd' 'commentEdit' 'commentDelete' 'user' 'userEdit' 'userAdd' 'userDelete' 'key'
						'folder' 'folderEdit' 'folderDelete' 'editGrey' 'addGrey' 'deleteGrey' 'addMini' 'editMini' 'deleteMini' 'scope' 'tagAdd' 'tagDelete' 'enhancedList' 'timeEditMini' 'forceBasedLayout' 'treeLayout').
	smallSize := #().
	normalSize , smallSize
		do: [:each | 
			| png base64 contentsSelector selector | 
			png := directory , each , '.png'.
			base64 := self base64ContentsOfFileNamed: png.
			""
			contentsSelector := (each , 'IconContents') asSymbol.
			((self respondsTo: contentsSelector)
					and: [(self perform: contentsSelector)
							= base64])
				ifFalse: [| contentsSource | 
					contentsSource := iconContentsSourceTemplate format: {each. png. base64}.
					self class compile: contentsSource classified: 'private - icons'].
			""
			selector := (each , 'Icon') asSymbol.
			(self respondsTo: selector)
				ifFalse: [| source | 
					source := iconSourceTemplate format: {each}.
					self class compile: source classified: 'private - icons']].

	self initializeIcons! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 23:22'!
deleteGreyIcon
	"Private - Generated method"
	^ Icons
			at: #'deleteGrey'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self deleteGreyIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 23:22'!
deleteGreyIconContents
	"Private - Method generated with the content of the file icons/deleteGrey.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAC3UlEQVQ4jW2RzWtcZRhHz3vn
TnrvTBInmRYnXx21hUSI/0Do0ogILtx117UU3Lguxa2EZF0oSFEziKDUNo0lCoPBUrCtNKIp
+aA0ilCmIUnnzr33ve/H4yIJ1OrZnx8Pz1G8RLv907nBwcELUVSZKZfLDS8+0VqvZWn6zb17
vyxevPihftkBoNX6auj+/V+/fvz4T7+7+1y6iZY0c5JrL73UyrPdrvyxvrHZbq/O/EdeXGwN
PXjwcG1n52/pPNuX/f1EkqMBXXgpjEhhvDzvatna3klv316ZPXYDgDNnzl59pVZ7q6+vD8Tj
vcc5i7MF1lq88wgQR2Xq9ZPx2NhEa35+YRQgWFn58VwUxR9UKlVKYQgovHdYZ7HWYo3BWIM1
HuehWumjNjRcHx0duwQQxHHlQlypqiiKCIKAIAgA8M5h3bFsDq8xFpQiiiJef+Ps+cnJqTgE
ZqIoJgzLWGvY3trAWYuIIAgKBUoRBAHjE6cZYJBSqUQUxbVG49XpEFQjDENKpYA8Nyzd/O5/
KwG8PfsOU29O470AUK32j4Teu8Q5N1wKFGFYZnJyCmstghw9TxARAhVQqw2htcZaizGGg4OD
LBSRtW63e7rROIUIvPve+0cVHOIdIh4REBGsc+RZRp5rtM7t5ubGowDUt3t7e/R6PUCw1iEC
CoVS6rCKCIUx5FlGL+2RJAm/rT282+l0ngarq+3Fosi3nzz5i3JYIstyisJgncM6j7WOoijI
85w0Ten1eqRpz1+79tmciBQK4Nat72fiuPpD/eSpuF4fJss0pVIACM45TFGgtSbLM/IsZ2np
xpW5uU8/Ag4HAK5fvzHb3z/YiivVerVaBUAphfceYwxaawqd++Xlm1cXFuY/ttYmAOrFTJcv
fzLabL52aXx84nzfiRM1lAIB751dX//97pdffD53587Py0Bx7Pxr4JhmsxmPjIxODwwMjCRJ
km1tbT7qdDpPXxSP+QdW/7KJWHShHQAAAABJRU5ErkJggg=='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/29/2009 23:42'!
deleteIcon
	"Private - Generated method"
	^ Icons
			at: #'delete'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self deleteIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/29/2009 23:42'!
deleteIconContents
	"Private - Method generated with the content of the file icons/delete.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABHNCSVQICAgIfAhkiAAAAAlw
SFlzAAALEgAACxIB0t1+/AAAACB0RVh0U29mdHdhcmUATWFjcm9tZWRpYSBGaXJld29ya3Mg
TVi7kSokAAAAFnRFWHRDcmVhdGlvbiBUaW1lADExLzA1LzA33bqJ2wAAAp9JREFUeJxVk8tr
1FcUxz/3/n55VFMT8gCtQ6uLUBqqCCbiSgqFgpa2mVIEQUo2QnFZioj0QQVduOhf0FXBnTQD
pVJ3RkTETqXkYTudjRknhj6m6TiTYfL73XNOF7+ZMHM253Lvh/M9j3ucmdFry2feOOoGB7/G
R7Pmo5yqoMlOVZOdoiU7X83dfbbcy7veAKv5Y4v4aL69WSGtbyEi2YOPiPaO4EbHIYTCybuV
fF+Ayo3Phhs/L5XTrX9y29WniMHUhwtMX/4GQylf/5Q/C98RAX5sAoaGq63J3PQ73z9sOzNj
NX9sMTTq883qU4JBMHjrUY2fzhyhFuDs7cfcOrGfAzHEDtzLY7g4Lpx6+HferX40O2eqj+pr
j0kNpvILzFz/FtTAFFMFU1Bl5YtP+OuHmww4kNEJnNkJrzvta+3NCtJRPnzxcxDFVDAR6HhT
5bULl9hMM863mlhIr8Vu+KWZtL6FAAK8WPqRRhRlHeo2uOM1BJqacT4kpPHQjFe1gyKCkWUd
HXqdqfwCmDH5wcdMvncegIl3z5G+cpghl3GYEVQPetVsVN1h1n/7tVO3ZWWo7J5rv6/gHLu8
qeA1hA18ROee1sY6dOcvWQDDQJXGxjqDXRCHimx4bTWfRHtHcIB30Cgt96miCgYmQq20Ruwy
LjhHrPLEWzRwxY2OEwER0Cqt9KmaSJawCrXyGkMu49rmENUrfu5OqUgIBT82QeyA7Rf8W7zP
yJtzu2McPPAqz395QNJssMdD4jxOtfB+WYvOzLh3/u1hXymVpbWds8Z/BIPNAA3p2zP2RTA+
4EnUqs8Tm764bu2+Zbp3cmoxVZvPPkmS9aHTsOAcbXNd5f5l6rWl46NHgnE1qM2majlTAZGq
UylGpl+e/kNXevn/AT0JpV86x3yxAAAAAElFTkSuQmCC'! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 23:38'!
deleteMiniIcon
	"Private - Generated method"
	^ Icons
			at: #'deleteMini'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self deleteMiniIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 23:38'!
deleteMiniIconContents
	"Private - Method generated with the content of the file icons/deleteMini.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAGXRFWHRTb2Z0d2FyZQBBZG9i
ZSBJbWFnZVJlYWR5ccllPAAAAIdJREFUeNpi/P//PwMlgImBQjBqAAMDCzJnKSMjyMSZjAwM
xugKgXF19h8DQ3o0WqwxIkejBtCAQgaGM/FxcRgGLFy06Gw/A4PJDTQDUFxwk4FB9hQDw/UX
ixZhOPURA8MNoLwCkPkApwsYGRn5gRQ7usFQAPQBww+g+g84DRhNSANkAECAAQBlCiprTiI3
ZgAAAABJRU5ErkJggg=='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 23:22'!
editGreyIcon
	"Private - Generated method"
	^ Icons
			at: #'editGrey'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self editGreyIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 23:22'!
editGreyIconContents
	"Private - Method generated with the content of the file icons/editGrey.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAADEElEQVQ4jWWSTWgcdRiHn5md
7M7sJpuPTXGTbY01gUqtV4XQaxT8KC1EjaeeKoSCHjyX4lXT5Cz0piaIoMS0TcOmEFssBdtK
I01KNtKSrbZhmybpzs7sf/5fHpKI1uf+PPzgfR2eY2Hh6tF8Pn/S97ODLS0tRWNNKIRYjKPo
h5s3f508fXpUPO8AMDX1XeetW799f/9+1WxsPLP1UNgo1rYpjG1Eyj7ZqNul5ZXKwsK1wf/J
k5NTnbdv31lcW/vL1p5s2a2t0Ia7AZEYm0hrE2nss7qwq3+sRXNz5aE91wXo7x84397R8Vo6
nQZrMMagtUKrBKUUm0+fEoYhgd9CodAdlEoHpsbHJ3oBvHL5ylHfD05kszlSngfWYozGYnGN
y/qfVa5d/RnHdXj7nffoLhTo6Owq9PaWzgCjbhBkTwbZnOP7Pq7r4rouAEZr1tYeUC7PEUUN
GmHI8tJdcBx83+fgywMjhw69EnjAoO8HeF4LWkmstWhtqVYfMD9fxmgNQFs+z+HDryKEJJVK
4ftBR7H4whEPnKLneaRSLsa4YAwPH1aZ+WkatSu3t7dz7Nhx0mmfJEkwxgKQy7X2uMboUGtN
ynXAwqPHj3AcB6kUURSRTqcZHn6fTCaD1gohBHEcIaVke3s79qy1i/V6/cVicR/aGC7MTKOU
4viJYa6UL/PBhyP4fhatDUprZCJpNgVCNFWlsnLPA+fHzc3NdxuNBsYYKpUVpJQUCl2c+ngU
KSXaGKSUJELQFII4avL74p0btVptPTUw0L9cKpU+ShLV1dXZTjqdYejNt3j9jUGkUmitkVLu
To+J4pg4js25c19+Wq1WlxyAS5cuDwZBbr7QvS8oFLqIY0Eq5QJ2J5AkO4FmTDNucvHizFdj
Y198AiTO3ktOT88Mtbbmp4JsrpDL5QBwHAezO18IQSKaZnb2wvmJifHPlFIhwD8BgLNnP+/t
63vpzP79B0bSmUwHzs5ljNFqefnujW+/+Xrs+vVfZoFkz/lPYI++vr6gp6f3SFtbW08YhvHq
auVerVZb/7e4x9+CXbN7fIh/3AAAAABJRU5ErkJggg=='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/29/2009 23:42'!
editIcon
	"Private - Generated method"
	^ Icons
			at: #'edit'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self editIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 10/29/2009 23:42'!
editIconContents
	"Private - Method generated with the content of the file icons/edit.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABHNCSVQICAgIfAhkiAAAAAlw
SFlzAAALEgAACxIB0t1+/AAAACB0RVh0U29mdHdhcmUATWFjcm9tZWRpYSBGaXJld29ya3Mg
TVi7kSokAAAAFnRFWHRDcmVhdGlvbiBUaW1lADExLzA1LzA33bqJ2wAAAqFJREFUeJx9009o
03cYx/H395tf1iZpqFJxpA1bwxZkageKFVR2UPCgp3YTKrMMPXj04mVQ/IOibIgwJkzF26bi
QKH1zyFbPOlhKhFqZ2UuVmyobTUhtk3T3y+/3/fPDmKXUPFzfZ7XA88Dj7DWUp/dN4a/bPko
dCwsxAZHkFRGU6mpiaqvchVfHb29Z8tIfb+oH7A/83gwLEVPbnqWQsXF129rYSlYGXFIxcK4
Sg9l+7/qbRgwNrPQ/PPDF/mxNwvJvyZn+FBSMYdlDhPrYjZ9etdWTwL8eO/5lQ/hfYXrZM5t
59eLexBjjyl6OnmnrK4AiAPZ0W5l7IPf/5l6L76cHmb58Ajyt4sAzDsRvu49T7r9Y7QxG+Vs
TZ3MTc++F19bm6Va7aR5x0Em+74DoEW5mNIUr2oGV5uTzvKm0OpCxV2CL627yrZUnELpOW6k
i9iWftyFe9x9Fgeg6gfEw3a1o43teHftdznT9Qc7U3GYy/CJHmVkqsj4+CrKiS84Nb+JUKIT
2xRFBXMdUhm9BPenLcxlwB1lpgJO8TTlyi1+yncTSnQiWtsAUNoga4F+GZYCgHgoYHPrmwY8
WYRsuZsT+U14ic8XsbCWQJuXsuj6T1ZGHADWx19jPcmfYx0N+PCjb5Ar2hcxgKN9fOQT2SwZ
SMXCAEQf3iR75wWftX1Kvtz+P25tQ65INKwqvSoqCAaEtZbtl+4Olmu6xzuzlx3fbuNfkyQ3
HWE+kG9xorMBO948xq8NlQ719QprLT9k7jfffuXmi55OjuefQiiEaIoioi2IaHwprrkT/lQh
PXf2e6/hmTZeyA5aY3peK0HVCAxi8WCO9pFelcDYodKhvsZnqs+aXzJdGH3car1Ba5VU2uAb
JgJrc8qKI6WBXX/X9/8HJzReCr+o8qIAAAAASUVORK5CYII='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 23:38'!
editMiniIcon
	"Private - Generated method"
	^ Icons
			at: #'editMini'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self editMiniIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 23:38'!
editMiniIconContents
	"Private - Method generated with the content of the file icons/editMini.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAGXRFWHRTb2Z0d2FyZQBBZG9i
ZSBJbWFnZVJlYWR5ccllPAAAASJJREFUeNpi/P//PwMlgImBQkCxASwwRkMiI4OWPAODkAoj
ioJZm0IYPK5ds3S8dq3sBQPDRMt//w5gdQFIMzYADCOVS7y8zor19QGvGRgacboAu2YG+2/f
vul27N/f7K6s3B/5//8Oog0Aa/7KULZ2jr6XtrZ23YcfPzaGMTBcIioQYZrd/Su85s3o2K+t
8OzI379/LxEVC+iav3z53/bvH8N+oAEM3fhiAQT+/WdQQ9d89xHDnut3fjB8+cLAcBNHKIOx
hhwwjnIZ6/9/ufl/ah3jvvQwBhclGdzqYRjBYGCQAMln+DOuttZjDAeyVYEYaCyDGBDzAzEn
EDOjG8AIywuMjIw8QIoP5BMo/gvEf6D4LwwD1f9DdhHj0M9MAAEGAJfbpMu0VWiwAAAAAElF
TkSuQmCC'! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 6/9/2010 10:30'!
enhancedListIcon
	"Private - Generated method"
	^ Icons
			at: #'enhancedList'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self enhancedListIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 6/9/2010 10:30'!
enhancedListIconContents
	"Private - Method generated with the content of the file icons/enhancedList.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAGXRFWHRTb2Z0d2FyZQBBZG9i
ZSBJbWFnZVJlYWR5ccllPAAAAiJJREFUeNqMU0toE1EUPRkmaYY4pBRMCYKkFQJtSF1Uiriw
K3WjbkSxKhbiQuhCaDeFLgpi6aa7KoiLBkRBEXUhgtSFi6wsVGgaS2msTVM/MZR+YhOM7czE
e19+b0ooXji8zz3nvvuZcTzohTCHAzVLaR2uVU/oPG0PV67WA4WFt21/FnernFKpvKp1GR4R
unnT8mtR7Tp3xncycsfP54/Rycz36Zej8MKocD8RbouH7/fWAsyevRLpTiQSONI/BbfbBa/3
kHDkcnkUi7v48fgWwuEw3r+IcoATIgPTqqcQHJjCzJOniMWmSeyFrutwOp3IFwr4ncvBd3oI
wb6rePc8WtOoplkPwGVdu3EdqZUVNLK29nbBkTW2DEzqjGVZOBoINAxgkq+kKJA1CkerwqIA
p14HYRAxNjeHRDqNL9ksUpmMuGMwR9aohmV/4cOFBRjk6QmFbK8blbwdNG9ZoxqmvYT4yDBC
98Yxv7xMk3BT94tiZdM0Dcf8fsga1TDsAYJ3x7BHmXRQwxr2gTiyRuFoVXAJo890ke4M9SBJ
PWB84x7QHYM5skbd21fCyKUN4Tje2dmwB8yRNUo6L2VAzocTE6Lbs/E4vq6t4fPSklgZfC9K
qPBZq776CVxsBfyu8hgjg4MizfC+KVSnxJy/9EtlCG+y5Z9Jo41+uZkO9NlqHg8OMuZs7pB4
Gz467ogABF+6gORNvQn/Y1slJFnDrfknwAA40SgApj324QAAAABJRU5ErkJggg=='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 15:21'!
folderDeleteIcon
	"Private - Generated method"
	^ Icons
			at: #'folderDelete'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self folderDeleteIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 15:21'!
folderDeleteIconContents
	"Private - Method generated with the content of the file icons/folderDelete.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAIsSURBVDjLpZPPS1RRFMc/9703
41N7Ehjij/wVQWqrFgmBiyAhiDYtAqNFmyAIWhSEgSC2CeofsF20bVMIblRkAtsPCgmGEpk2
46+ZcX6/d+89LcZf0UbwbO7lcM7nfM+95ygR4SzmcEY7M8ADWJm+nvSbBgaUOskTqvnVdaOz
N4DqP1kKgOKVu0vaA1Di9HUOfYgppUBqySiFruxcSidfr8uBF8CNN4mYaKvwZ/4l8MkDQEsF
G9ZVU5OY0AWnCaUC/PZbtA++jSMCWBALCMo51/pjamj8GBApR2yICeOIFWz5F1ExTWErQcxv
A4nAhohoQBP0jcYR2330BijxrS4TlkDCIlF+n6DvEX5z/0HDhwqkpsA7D8bxjgGRg1ffwvn+
x0eBgsWGG+jsHGJyiM4heh8xBfyLY1AVTgBExFSwpcVasMkjOouNMojJgc6SSiyR+rpMaXOP
WMs89R2ux8NDQBURq7HRdq2SySE6e3DPkE4sU1jRXBsZpa73KuXFGb4vzHqzw7FntY8PRRQG
0XuI3kWindqpdxGdYX0uyeWb9/FXE6iPD2hY+0xPVzOi5LkHIKHN6NJuQ1SIB9jAEYmBDUAu
IKZKtPMFv7UX7rw4nsCJNlyremqASvXd2vt7gwjDKIL/5rXerSslp1Xj1FOq5RQlIL/vYlw2
1Wm2cWGkYyIeNI51NmvPc36T39b8TLsmqsi4Ou06fxvpelXc23ziGtVtXNkQmLw9o9/8BXTm
MmWfiWeXAAAAAElFTkSuQmCC'! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 15:21'!
folderEditIcon
	"Private - Generated method"
	^ Icons
			at: #'folderEdit'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self folderEditIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 15:21'!
folderEditIconContents
	"Private - Method generated with the content of the file icons/folderEdit.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAJvSURBVDjLpZM5aFRRGIW/+2bm
ZYzJTEzMuCbRGIjRiAsYEIKNIoIiWGgluCCChZ3aCyJqK6hFxMLCpbKxERE3DIpFEgtjonGJ
YSYzMcYsb7nvvvtbTMC9yil/OB8/nHOUiDAXOcxRcwYkAQbube5JZ9asUepXnhBOvR+OzcQW
IPzNpQCYad392iQBlDirGzqvp5RSIGUzSmGCsebRnjPDMnsFSLgZkTgqTucfngLuJAEwEmB1
RVi4QqwT4GRQqpr00m0s7bjgIgJYvPwjvjy5SaJqXaM/tvB23+X2dBkQKUesJtYuYgXrfyaa
GWW6+IhUeglIhJkZxPjLWbzuANmVG5n40Er//a6LZYCStDU+2gPRM0RTk1SvPki6rg1Q+IX7
SFKRWb6R8fdvcJWmOrOYqrrG7OwHDsl5OWrajgIWRBAsVo/gDXdhojTZ5p2E+Vu4lYpPPf2Y
0Bff89fPAkQkDrBeHxJ/R+IpxEzgjfUiUkW2ZRfByFUc15CqamK+/YhHKWo/0T1Qzi1ExBps
VMLqElaPUhh4RuBXkm3ZQzByBScVoSdXUHrSTW3nIRwT259F0iKKGDHjiPlK8d1LPL+O3Npd
6EIXCVcIJ5soPe2mZm2eivoGML8USbT9ZryvldG0Wz3UN+gkKpZhVI7860ssyLkE4w18e/GK
2g2rSKRbiYNARNvwJyAILw5d3duBsL3fydXvO36Nt7dOMvD0ORWN67GlflmYMrr4uCAIoJ5p
rNwoB/jHGs8ea49OHzmexInpeXCXTx8Gp7P1tZ07zvX2/msLfwH2b631NzUvSna0rURS4XO/
WDq8+3zf0P/G9AOyUDsBCTaamwAAAABJRU5ErkJggg=='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/10/2009 21:50'!
folderIcon
	"Private - Generated method"
	^ Icons
			at: #'folder'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self folderIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/10/2009 21:50'!
folderIconContents
	"Private - Method generated with the content of the file icons/folder.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAGrSURBVDjLxZO7ihRBFIa/6u0Z
W7GHBUV0UQQTZzd3QdhMQxOfwMRXEANBMNQX0MzAzFAwEzHwARbNFDdwEd31Mj3X7a6uOr9B
tzNjYjKBJ6nicP7v3KqcJFaxhBVtZUAK8OHlld2st7Xl3DJPVONP+zEUV4HqL5UDYHr5xvuQ
Ajgl/Qs7TzvOOVAjxjlC+ePSwe6DfbVegLVuT4r14eTr6zvA8xSAoBLzx6pvj4l+DZIezuVk
G9fY2H7YRQIMZIBwycmzH1/s3F8AapfIPNF3kQk7+kw9PWBy+IZOdg5Ug3mkAATy/t0usovz
GeCUWTjCz0B+Sj0ekfdvkZ3abBv+U4GaCtJ1iEm6ANQJ6fEzrG/engcKw/wXQvEKxSEKQxRG
KE7Izt+DSiwBJMUSm71rguMYhQKrBygOIRStf4TiFFRBvbRGKiQLWP29yRSHKBTtfdBmHs0B
UpgvtgF4yRFR+NUKi0XZcYjCeCG2smkzLAHkbRBmP0/Uk26O5YnUActBp1GsAI+S5nRJJJal
5K1aAMrq0d6Tm9uI6zjyf75dAe6tx/SsWeD//o2/Ab6IH3/h25pOAAAAAElFTkSuQmCC'! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 12/2/2011 12:53'!
forceBasedLayoutIcon
	"Private - Generated method"
	^ Icons
			at: #'forceBasedLayout'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self forceBasedLayoutIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 12/2/2011 12:53'!
forceBasedLayoutIconContents
	"Private - Method generated with the content of the file icons/forceBasedLayout.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAGgSURBVDjLY/j//z8DJZgsTV+9
fAu+uHo8+GzvXECWAV+c3R//mTn9/ydLu4eka3ZyY/ts63T3k4Xt+4/GlqS74JONY+9Hc5td
H4wsmAmGgWv9xQKX2nMPnapOF4A1WzsEfjSzefLB0FwUHoi/szPX/05P/f0rOWk9ugHONWef
zNl44X/B/L3/o7LXnn1h4fitN6i22Tx7W5tpxqYHxmnrChh+p6X+/rd10/+fsbF/f0REmiE0
n7F3rDz5wb7s6Bu3gt3Vz80db69zTd1mlr11tUnGxt89Cw/8N0ha9YDhZ2LC+p8xMb9/hEdc
+h4Ucu+br//JFXFNi5zKjz20KztiDzIMGFgzP+iZboQZbpSypsAgaeUjvfilqIEI9C9bf8rk
3Wd8kz59sHV+BQysa8DA+vNe1+Trew0DfrwJCehfCceqU8fsy48ttS05xAkMLANgYP39N23K
/3fq+n9wpkTXugsFQP8+B/r3DdC/pciS77WN1r9T0/v9Vkl7PU4DnKrPPJi85uJ/oH9fkpUX
HCqOF9iVHn5gU7S/gG6ZiaoGAADG9LhB7Kzu8AAAAABJRU5ErkJggg=='! !

!RGMenuIcons classSide methodsFor: 'class initialization' stamp: 'VeronicaUquillas 4/22/2010 14:05'!
initialize
	"Initialize the class."
	
	self initializeIcons! !

!RGMenuIcons classSide methodsFor: 'private - loading' stamp: 'VeronicaUquillas 5/17/2010 13:32'!
initializeIcons
	"self initializeIcons"
	| methods |
	Icons := IdentityDictionary new.
	methods := self class selectors
				select: [:each | '*Icon' match: each asString].
	methods
		do: [:each | Icons
				at: each
				put: (self perform: each)].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/10/2009 21:50'!
keyIcon
	"Private - Generated method"
	^ Icons
			at: #'key'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self keyIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/11/2009 11:45'!
keyIconContents
	"Private - Method generated with the content of the file icons/key.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAIQSURBVHjalFNRSFNRGP6OCA1k
rXlVgiCChIytYgyEUOTelx6MMIW9+iIRRCTUQ/QgToIs8DHUQF8GSXifegkMxr22bKEbPszZ
lmxRSCw2K3wotzs7/vds3mZcFx74+M75//N997/n/Idl5vG/oRHkmrVOUKzVxguAc24LyvGt
tWGaZiwUEsM8PWemMyBG4+6u/WfTc0xr8d5Cs+cO8OcX1sNTSIYnEXiUgEO6hGToLKdtrOEw
A4rL0sV7QCkHlLexGZuEywXl9ZMLaJLOQTo/hFIJWj2D6uSnQGsrcOUB14mV1VAXTnoHUCxC
biyX7Q2suLEl6Iy/H1mVcaoC7vZ+EScD2BqsTLOgs6296lQQ5O64AbdvohL7nSakDhpEn7Ig
0ShhzOSOgQXg28xfVyMPbEes5cfYW/MM9AbDqOYNjF6+nbEYm+PIvhmvCP9BKrqAZDRi7lWs
Coj1H8uDcs/1PuDTXajPXsLvB/KfPyAZTyP/tVD7l3rgZp9i7qk1kN2dIeqsQaizS0J84pQX
scUlMz0WeMyDBw5qo1uQMHj1kPHeESp7/SrUUEqIXW2n8T68ht4RzmyvqXo7Zifya0ESJ7qg
Ps9VxFIz3mlf4PGAHfpCqDccDqDSSLkpS3zcdQwR7Tt2dsDi8TpPjLrT1Iq3kI1MCLHTCSzq
Rfh8NeJ4nSJIy+bvY//+9wfDEcaeAAMAyn4NxxJvjxEAAAAASUVORK5CYII='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/10/2009 21:50'!
scopeIcon
	"Private - Generated method"
	^ Icons
			at: #'scope'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self scopeIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/10/2009 21:50'!
scopeIconContents
	"Private - Method generated with the content of the file icons/scope.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAGXRFWHRTb2Z0d2FyZQBBZG9i
ZSBJbWFnZVJlYWR5ccllPAAAApNJREFUeNqkU0tPE1EY/eZZKEKlBYUiICgYEIJIUGPEHSEx
kRhjXKsb1y5MXLh0zw/gX2iiEhOjghIVISCPIC8BW3nU0qGd532M3y0wSDBx4U3OzOTOnPOd
73x3JN/34X+WKi7tjwdAlRVQJQlkSYrIAGclgFp8Fdn9zsAyKxxgkvu+QbEo5QzGnvTsCPyx
WkuP6N3XOk5cvXCmvL0krB0X/oyct/5pdnPs5Wji3a+c+wq3vh5wIBZWbKuKhW8/utV2J1wg
xQnzwfIIcO6DLPs1l5vLa9rqop19T6diP9IWmoRxwRMPgDlEI2G19+HNlnua5sddwoBSBoTs
w3YISD6L3+9puFtcoPQKTuCA+/xS97mqrpAmV3gey1fdg+1xGFw2YCZlYyWAprLCys5T0YvP
xxNfkPo8L8Aoa+moj7U67o5lxvYFXi9swUgiG4Q0vOJCY0RvEpxAgFISLwqpWJ0AcRm4FsU7
BY5CH2aTYBKKOcigKDgpVYWErtQgpzJogRJSkMl5vmfYkiBKYpyyBA6Oy0XbgrSbFeZBIGVk
BacwCBE3syPzqSwjHFRNAT2kgl6owVzOBU3TDoFRvi04+wKON/VicnVl2vSAqjIQxMSWDR/X
TNB1/RBy6e2E4AQteI4zsDi7dONtrLT2/bpdHCSmoBPl4Emzc1Z2Yzm5QAgdCBwwQn5aW5n+
8TfDE8R2zb/ZFiCWY04PfZ6wM5l+wckfQBGMCE2J1oFafeV6qLzhQXVzw+l4Y3206GhJPigz
s20nvy2mV2fm5t2NuT66OvSMpZfyoe4JiFZiiDI5crJSOna+C4riLSBrFZJIn5M1MJOT/sbo
IDe+r+PWJiKFXLonIFoJ70L9xx/MhCmEhVz+W4ABAJCDbm2NBeDAAAAAAElFTkSuQmCC'! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/5/2009 15:35'!
tagAddIcon
	"Private - Generated method"
	^ Icons
			at: #'tagAdd'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self tagAddIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/5/2009 15:50'!
tagAddIconContents
	"Private - Method generated with the content of the file icons/tagAdd.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAIxSURBVDjLfZLPi1JRFMffPzGL
NkW7Ni1aJUitI4IWLVpm0RTUohazqkVU0GhjGcGU1NA6dFQ0FX09QVHxVzr+eE9RRMw0NVsl
Pcmn8517nulkOj44XO6953y+33Pf4SRJgiiKyOfzyOVyyGazyGQySKfTSKVSawC4VcEVCgWM
x+OFaDabKiQej6+EcKRMBY1GQ1Wu1+szCJ0xF4hEIkdCOLJMyaRGB8lkMt3v96EoinpOwFgs
hmAwuBTCkeo0kRX/YZYbg8EAnb6CwLeJk1qthnA4jEAgsADhSHlqeTQagYp//B7j+d4+nn4B
hMbkrlqtkgv4/f45CMd6lHu9npo0HA7RZsqGzD7eiMA7CdjaO4RUKhVyAY/HM4NwiUTiHOtR
7na7alKhp6jKZgb4UALeF+ch5XKZXMDpdKoQlRKNRrWsR7nT6ahJxZ8K9OkxzNIhxJAB+K8T
SKlUIhew2+1rs15CoZCW9Si32+0FyA4DPPpkx/23Otx6eRk6/QU8MW9gd3f3xNyLsv60giDI
rVZrBnnGIA8cH/HYeh1ucRvZ7zxMn+/gquk0zt49Zlz4rzzPa30+n0yTSBCJQa4ZLsJZeAVn
8TXNCozCOkzCbQIMlk6X1+vVut1umSaRIJcenoFX3MG/nyu/TYCjZ9zlcmnYS8s0YOfvncQW
fwObvE4t3vTrVjuYhsPh0NhsNnnDtI4rxlN4wd9UlWml/dI3+D+sVqvGYrEcZ8l6Fr/I9t9V
T/cHUXogzRNu46kAAAAASUVORK5CYII='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/5/2009 15:35'!
tagDeleteIcon
	"Private - Generated method"
	^ Icons
			at: #'tagDelete'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self tagDeleteIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/5/2009 15:50'!
tagDeleteIconContents
	"Private - Method generated with the content of the file icons/tagDelete.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAJPSURBVDjLhZPNi1JRGMZv6PwB
LQaiqBiIoEV7QQaiaZazrNm0qlkMRJugptpEBNJMtAmapK9lhZ8oKnq5FxQVv7qOX1dRzBxH
U8eohc219OrTOVfGSZyxC4cL73nf3/O857yHEUURmUwGqVQKyWQSiUQC8XgcgiAgFovNAmCm
LSadTqPf70+sarWqQMLh8FQIQ5VpQaVSUZTL5fIIQmPEBQKBwJEQhlqmyVSNBqLRqNBut9Hr
9ZQ4BYZCIXi93kMhDFXdTyTFf4jlSqfTQaPdA78zdFIqleD3+8Hz/ASEocr7lmVZBi3e3etj
Y2uAJ58BrjLcKxaL1AU8Hs8YhCE9Sq1WS0nqdruoE+X1+ACbGeC1CDzbOoAUCgXqAk6ncwRh
IpHIPOlRajabSlK61VOU9QTwPge8yY5D8vk8dQGbzaZAFEowGNSSHqVGo6EkZb/38FToQy8e
QNbjALs9hORyOeoCFotldtSLz+fTkh6ler0+AXlLAB/1L8FevwBuYQb8tVNwP74Bk8l0duxE
SX9ajuOkWq02gugI5MOrTSTuzqPjfI5B1o29T3cQu3VRZhfUtyfulWVZrdvtlugkUohIII7l
c5BIMV4sAWvHAd0cWhuX4LmiKh06XS6XS+twOCQ6iRRCbQ8EC/79fj46Ae6yenDkjNvtdg05
aYkOGHf1JH69uwmQot/3GPwga3tVBc+iqjr1pVmtVo3ZbJZ43SoiK+flb2tz2H0wgy8rx8Av
qWX3ouoh87/najQaNQaD4Uxg+fR9oviV2ib/HVpM9/8Cz3kffqwCPcsAAAAASUVORK5CYII='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 5/15/2011 18:38'!
timeEditMiniIcon
	"Private - Generated method"
	^ Icons
			at: #'timeEditMini'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self timeEditMiniIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 5/15/2011 18:38'!
timeEditMiniIconContents
	"Private - Method generated with the content of the file icons/timeEditMini.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAANZSURBVDjLVZN7TFNnGIdPTMwS
Y/aHyTJjYkJmIjNT/zCLMS4uoomKRhMTTcjwMoJCWDTGeUFAtmIkoKIoA4QqoJRLrKyzLQ63
qS2ltDtcpOXYQi1SbMFSodALp1fbn+9pgGwneU6+vN/7e75LzmEAMHNPmSWEiDASPcRnQv2/
UO3L+XmWSF6oM7MyZilxfa43fTwyrYK394iLVezXnn8eURPuedT/Kg5qfAM50wHzZTf1s8Tq
hMDVyhR42aMT4cmnmNJnzPZJt/pLtdOo7HWhzuBMIIxvaUZhkG7iPVwR7zec+0C5fmIp43jA
FPqMl92TXRmzuqat0Qq9HY+M79GiGUO1zISKxyY8eDGKloFx1HeqMKTYHQs4Hn+cfLLOQtlk
5m0ts21YvMzSfX8jf101ilbWDpnKhhGHF9NeP6a8c7DYvZD8PYL6LhseyctgbNkSMos/f0XZ
5MRFnK9T3sj9nYNYa4OUVhOeGY8HbyacCNJYwB8H/lA2Y7g5DVZ5MQx1u2Cs+uZYQpBe26++
0MahpsMCM63MR+Pw8zyq6hvgIpEvFIL6WQmcL3PhGWwn2wRmB9ugL9szmRAcuq1xn215hWvN
RrgCEcyEYgjTRJ6oCE0yOe7dyYDbJELYoYBTfQMBToaPY1pwDVnBhOBASYc76z4LUcMA7P4I
SWJweHy4WnYT1eXZmHldiFhAi8DbU3D3nMaQJBOsODPeU3FwbUKw55c2dVq5CkWSfnRaPXhP
h3b4Iuj8pxozXB5iQT34keMI2tPhM+eDq9mH7CuVfYnvQHilXHgo2it6gjP3dCiVWjBFF2Yd
lMPZmzsfPobgux/gfV0Ac1Uqhe9CyCwKvjtd/S1h2lWoxNlaDWrqxDD/dZG2rUHQlomQ/Sg8
tJOhqt1I+7UJQq+QWRQIbD5Zlp1TKuGzfr4I05/5MHbcxjh7GLwtHW7DJQz8tg8/lUhwovgh
L/Qu/gsLA51Ol8JxHKTXdgK+MQyLD+Fl/ip016RCKdqOjLxydGm74906XZx6v/+foL29/QvC
b7VacTVrA8L6SoTZO2CLU9CcmRTf/2NO3/q0ApFCqfRZLBZQb5RYsyhobGxcTgwT4cPbVoRK
jn8dfVGaGn1+c0enMnfDVwur0XwS4SEmiJVC7RNi1+PWy99nOwAAAABJRU5ErkJggg=='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 12/2/2011 12:53'!
treeLayoutIcon
	"Private - Generated method"
	^ Icons
			at: #'treeLayout'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self treeLayoutIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 12/2/2011 12:53'!
treeLayoutIconContents
	"Private - Method generated with the content of the file icons/treeLayout.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAFOSURBVDjLtVK7SgNRED0b9iuM
2lr4QK1DQIyk0FZsJAj+gH+ilRZb2NjaRHTLmA9QFKz9huzm7t37Hu+u7IJgQjR6YLjDzOXM
mcMERIR5EE5qXA4z4sqACYWEC5wfLQXf/WtMIuDSoL0A7DZDjBj/uYI0l8jzEEJYJMkvCEZM
4PqZIxlzpGk+kSCY18TGtGYcx9Tv96dOqBUMBgNyzsFaC621312Ac+59yJFlGRhj5VvVoigK
vniglEK32w1mkd3r9ejPPAjOhqdknYX18p1/rzo3pYqTh0OSRkJI5UMgPn4s61sX66SkhtEG
cISGsQad5gH2FvehfV5BaIF2cwet5RZyKeu68pe5ubKG7dUNP5AQGltMN57Mosgr5EIiVQmY
Gvtc1PVicqHY+dXpk8Dg7v22XKFo1ARe9v1bDOlXKKKCs4Sn1xdU1v3vIc2CD3bN4xJjfJWv
AAAAAElFTkSuQmCC'! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 15:17'!
userAddIcon
	"Private - Generated method"
	^ Icons
			at: #'userAdd'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self userAddIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 15:17'!
userAddIconContents
	"Private - Method generated with the content of the file icons/userAdd.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAJ8SURBVDjLpZB/SFNRFMftj5Ii
W9saIQjGQrBiUagEFWLDydrUhAWzNNuWTZ1oKIUzf4RlzZY6sWyrLZXhfFszQ1eac2SQkYWW
0yH0l1AWITSw1IXK+/beK0RBptCFD+fcyz2fc+4NARDyP6x5qInbVVEn5sw2SHdCL2ahQsie
y4jhVW9IkBPDKbmfyibN6Rw8oLgrY0MnYaEofgcpPcitWldglLLQQhXqqSKdlIaNm8k8XDnB
QWYMa2ZdgS5+O14YyzHVq8eQpQiFCTwUJ4YjX8SH+hh7wapNCQ0qMGdF/gh8/4SZN0Z87a+H
13ENk89vwz85AiJ378xYq2ZLUEFjxv5B//t2TA87MT9KUNiZ3D9C4KFKMBz0Cbults1RxzVW
oiAWv4ctCPieMsx/tKHzciwE8blPeCLz1jUFPAkRyhW35UWIPfB9noWjLBX2shQGOn898QsR
SS/BET66xBWatq0ScE86NoUlORSRyYOYmJpH2xRQ7APy3gEXXgHnewCtsxPFRgXU9acgvyEM
iEsOVS4LDsia0xJP6+EcWoLJCxS8JZE7QCK7j0RWFwmlmUCVU4lnviaMfnPD0K+B3CDAkfzw
WkbwoTx6adqlxb1mFxS9VFeqo7KbxLkOEmdsVKyRoGu8AV0TjaBXreciDJ4cWhBgBN6KfaTf
fR3p6hZU988howM4aycht5KQWUgklx1Gj8+Clat7rIkW/P2IcWtB6Uhp1KJSeWsxTjEAJTW6
agVHC/m441ZB51Ywxbo+xeoJaCbteWGVV6u5e9JcpsiE1i980eM5flLHAj/RuSCQZy7KaqNR
585mOtOR3i//wUagLtdQ/KTH/hdr6PM/RhGjA91Gi1AAAAAASUVORK5CYII='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 15:17'!
userDeleteIcon
	"Private - Generated method"
	^ Icons
			at: #'userDelete'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self userDeleteIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 15:17'!
userDeleteIconContents
	"Private - Method generated with the content of the file icons/userDelete.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAKRSURBVDjLpZNrSNNRGIeVuaSL
rW2NCozlSsrCvqifKrG1vyznRDLQMi9TsamsUCzvSWJKC0Ms0/I2hratmVbi3bLIysRZlgh9
qFGuCKOF5KaonV9n+yAGokIHHs7hhd/zvofDcQHg8j8sW0wN2FpQJuVNl8u2QC3loEDMtUX7
CYrXJDjrx8u6FcYlNVE83KbciOCiNISD9MDNRHaQf3lVQZWMgwYaVNNQqcwBF1dCBbhwlIcz
fpypVQWlgZvQVZUPS6cag7XpOBckQIZkB9IYEZIPcee02XL3FQU1scKfM98/YOpFFb72Xseo
oRDm9quwmk3QKXdPvdOkrltRUBG9f8A6dBeTw0bY3+ooeufZatLhToLv8IpX2CZrYnsfTtXq
VP6YHa7FzFirE/ubJrRk+sM3UHlfwNSsX1YgCNG586WNKZ7SPox9mYYhLwz6PLkTx/n5+G94
Bj8BT1x3ni+u3vCPgH/c4OoRbIgXhg5g3GJHowXIGANSXgOJT4G4DkBTXolnMT7oFbPxgNlo
7WDYuYuCAxH14ZKTahgHF1A9CqheESj7CZK6CWIfElwrqsRI5hHMtJeBjHfBps/AUJrvn55j
biqnYCR/38JkWzZu1rchvpN2pR0VjwhimglONREYw/fATsOokANZXKDECz/UQeiWsD45BaMF
PsTaU4So5AYU99oQ3Qyc1hNEagkiagn66NjE1IKl61fhdlp3I07Be60qx5TjPa9QlMwHxPdD
QUdPWELrCSGm6xIBGpq96AIr5bOShW6GZVl8BbM+xeNSbjF/V3hbtTBIMyFi7tlEwc1zIolx
LjM0bv5l4l58y/LCZA4bH5Nc8VjuttDFsHLX/G0HIndm045mx9h0n3CEHfW/dpehdpL0UXsA
AAAASUVORK5CYII='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 15:17'!
userEditIcon
	"Private - Generated method"
	^ Icons
			at: #'userEdit'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self userEditIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 15:17'!
userEditIconContents
	"Private - Method generated with the content of the file icons/userEdit.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0
RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAALTSURBVDjLpZN9LBRgHMf1R/NP
uo7Uam0aaV7G2uSvYki6c4hhWZe3mJw6i9FxnMj7RUNeIzYvnUtLuXKGXDV2yMm9JK10iDHl
vOTuvN6369Zs1kZbf3y2Z8/2+ezZ8zw/PQB6/8NfG1H2B1n5JMPlAsoBsEkEsFyISqqdccY/
Ba7ZGTJKvYiaygBDVGi570tEtjsBMY77NRRbo7RdA2UUAmq0IlsrZVN+Q0SmhzHinQ1xxY6w
uGsg23Ef2sqSMclno7cqBtFOxoh1PYLr500RcYa4Vpvgqb9joDLIZE498wmLPWWY6rgHMfc2
5C9zoZCLwIk0Wxxttr800hCAz88zMfTQDeIS66BtgSKqVbei/xFmB5qgGuJoadStFSIO+BkW
X6e7GFiQvAB+TmFe8gTCPNLMlnyY0rDX/GxULYd+GisDVVDLmnWo3jdAwLbFd2nK5uq3Fky/
vguV9Ck2xrohrYlQ62Rjd46+EamedozUCdnEMrhJXmhM8tTRnucChYyFTVU3VKM3MNdPx8e6
MEgqA3/0F/mc1DMic/cYuHFDTDy6MTypQv0kECsDaH1AVocACmkiNtVCKL8EQz1BxdIwE/IK
pxlRvusp3SVa+1Z7u/qx0dS7gXIxQBdqECnQIJXzDNPvGH/kIKjHL2NRlgRZoRtiIyJTt15h
MNliY5aXgOJqHkL4QFgrwKrjQdp2S3vst1DLw7AyEYgF7UlGSi5gtiUewjjLta2AmGWpUbTf
QUBEDTI6lIgr4uBDKxNifgEm+/yhlFMxN5QASakPAsNLMd+Zjn6GlWYrIK2lJ4oSzddDQ7PW
7UMEeJx7Dlgaw8gDP3Qxj6KnnAx+DhkuflWghzOVgym2K1onfdtHkjfSDFKYGUbHvXnlaeE2
WBUWY7WvEH2Zzqi/agYHcq7ixMWW9pvRqYfGuTSDHafR34Gozg62WH+VQ17vzHd5w2PYmO40
zr8A5dG3M3vHNHcAAAAASUVORK5CYII='! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/1/2009 15:17'!
userIcon
	"Private - Generated method"
	^ Icons
			at: #'user'
			ifAbsentPut:[ Form fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self userIconContents readStream) ].! !

!RGMenuIcons classSide methodsFor: 'private - icons' stamp: 'VeronicaUquillas 11/5/2009 15:57'!
userIconContents
	"Private - Method generated with the content of the file icons/user.png"
	^ 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAGXRFWHRTb2Z0d2FyZQBBZG9i
ZSBJbWFnZVJlYWR5ccllPAAAAmNJREFUeNqUkm1IU1EYx/93L0wdMTF7Ga7ZQnGaK6Y1SJIK
JLAXiqCiDfpQUM1WrIIIIRIUww+FhLhvfetDaWAREcOgsAyHCW0NXaPUzXxrc/Pl3rz37no7
9yphG0j+4eF5znP+53cezr2UKIqQtMtolLM/EsElu71Go9G0gKIqeI4DTdM+hqZvP/d636/2
SaLSARartTInS/1JEBVqIZUCz/NgWRYpjuHn5pjKeCwWWA1QIU3kpnp2UamWwBIgJQiQpmAX
F9Ucy94hFsdqfwaAY5K12iwBN1wXUW5QgU8J+DLKormlHZwgnEj3K9IbiSSTffmqGxZzIRmb
A7UkYO/uYly55sLCb0Gb7lc1ddj/aTSdCQ9bDKyJS45jiefknkjq/WYlWi9MBNyP9cu+lXMZ
ExB5JkMvocjZCJFSk1DJ9fQPr7yXbqYan53LIFQFO9q3FB135psOy+vYSDemwi88vTtP12UA
xuP+DMDgowodSdKVtpWWj0Rt6fWBmTUBntcN+0hykjhloCe0R6vdcv/NxzZEsvMZEVSXZHMe
afjwFzAy1S8XbV13H+i0eTdt5kPYoS/DtzE/AsM+ea+ssBKlRiuGJ4fQN/gWs/TMQ9fJxlsy
IBTtQevT+vbibeXOgxXHMD37HUl6AnkbCrBJZ1p+g9lRxOejyNVuxWZdEd4NvEI4+tXjPttc
R52/Z7VvLyh5Ur2nBqGxXiyR776WFAolSgxV6OnvxsjPkENFzy84jXoTegKd+F9NJzph1FsR
HPrslACW0V8BJJgY1iMKQZCzNuqAI/f+ysvrsD5Jv6nnjwADADCGB2Ys4xUCAAAAAElFTkSu
QmCC'! !

Color subclass: #RGColor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ring-GUI-Core'!

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 11/17/2009 13:46'!
addedComment

	^self green1! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 11/17/2009 13:45'!
addedMethod

	^self green4! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 11/17/2009 13:46'!
addedProtocol

	^self green2! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 11/17/2009 13:45'!
addedVariable

	^self green3! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 6/14/2010 13:45'!
blue1

	^self fromString: '99DCFF'! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 11/17/2009 13:18'!
blue2

	^self fromString: '0066FF'
	! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 11/17/2009 13:15'!
blue3

	^self fromString: '0033FF'
	! !

!RGColor classSide methodsFor: 'visualizations' stamp: 'VeronicaUquillas 9/12/2010 22:09'!
borderColors
	
	^{
		{'Class, Package' . {self addedMethod -> BorderStyle simple. 
				    self modifiedSourceCode -> BorderStyle simple. 
				    self removedMethod -> BorderStyle simple }} .
		{'Trait' . {self addedMethod -> (self borderTrait: self addedMethod and: self addedComment). 
				    self modifiedSourceCode -> (self borderTrait: self modifiedSourceCode and: self lightestBlue). 
				    self removedMethod -> (self borderTrait: self removedMethod and: self removedComment) }} . 
		{'Extension' .  {self addedMethod -> (self borderExtension: self addedMethod). 
				    self modifiedSourceCode -> (self borderExtension: self modifiedSourceCode). 
				    self removedMethod -> (self borderExtension: self removedMethod) }}
		}! !

!RGColor classSide methodsFor: 'visualizations' stamp: 'VeronicaUquillas 6/10/2010 11:53'!
borderColorsMeanings

	^Dictionary new
		add:	self addedMethod -> 'Added ' ;
		add:	self removedMethod -> 'Removed ' ;
		add:	self modifiedSourceCode -> 'Modified ' ;
		yourself ! !

!RGColor classSide methodsFor: 'visualizations' stamp: 'VeronicaUquillas 6/9/2010 23:10'!
borderExtension: baseColor

	^BorderStyle dashed 
		dashColors: {baseColor . self unchanged }! !

!RGColor classSide methodsFor: 'visualizations' stamp: 'VeronicaUquillas 6/9/2010 23:09'!
borderTrait: baseColor and: secondaryColor

	^BorderStyle dashed 
		dashColors: {baseColor . secondaryColor}; 
		dashLengths: #(2 1)! !

!RGColor classSide methodsFor: 'visualizations' stamp: 'VeronicaUquillas 5/31/2010 10:38'!
colors

	^{
		self addedComment  .
		self addedProtocol .
		self addedVariable .
		self addedMethod .
		self removedComment .
		self removedProtocol .
		self removedVariable .
		self removedMethod .
		self modifiedComment .
		self modifiedPackage .
		self modifiedProtocol .
		self modifiedSuperclass .
		self modifiedMethod .
		self modifiedSourceCode .
		self unchanged 
	}! !

!RGColor classSide methodsFor: 'visualizations' stamp: 'VeronicaUquillas 6/10/2010 11:39'!
colorsAndMeanings

	^Dictionary new
		add: 	self addedComment -> 'Added comment' ;
		add:	self addedProtocol -> 'Added protocol' ;
		add:	self addedVariable -> 'Added variable' ;
		add:	self addedMethod -> 'Added method' ;
		add:	self removedComment -> 'Removed comment' ;
		add:	self removedProtocol -> 'Removed protocol' ;
		add:	self removedVariable -> 'Removed variable' ;
		add:	self removedMethod -> 'Removed method' ;
		add:	self modifiedComment -> 'Modified comment' ;
		add:	self modifiedSuperclass -> 'Class changed superclass' ; 
		add:	self modifiedPackage -> 'Class moved to other package' ;
		add:	self modifiedMethod -> 'Modified method' ;
		add:	self modifiedSourceCode -> 'Modified method source code' ;
		add:	self modifiedProtocol -> 'Modified protocol' ;
		add:	self unchanged -> 'Unchanged';
		add: 	nil -> 'No applicable';
		yourself ! !

!RGColor classSide methodsFor: 'visualizations' stamp: 'VeronicaUquillas 6/10/2010 11:43'!
colorsForPanel

	^{
		self addedComment  .
		self addedVariable .
		self addedMethod .
		self modifiedComment .
		self modifiedPackage .
		self modifiedSourceCode .
		self removedComment .
		self removedVariable .
		self removedMethod 
	}! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 6/14/2010 13:45'!
darkestGreen

	^self green5! !

!RGColor classSide methodsFor: 'visualizations' stamp: 'VeronicaUquillas 6/10/2010 11:57'!
dashboardColors

	^{
		{'Comment' . {self addedComment . self removedComment . self modifiedComment }} .
		{'Variable' . {self addedVariable . self removedVariable . nil }} . 
		{'Method source' .  {self addedMethod  . self removedMethod . self modifiedSourceCode }} .
		{'Class'' package' . {nil . nil . self modifiedPackage }} . 
	}! !

!RGColor classSide methodsFor: 'deltas' stamp: 'VeronicaUquillas 12/1/2011 23:46'!
deltaColorsAndMeanings

	^ {
		 RGColor lightPink -> 'Not incoming/outgoing needed deltas'.
		 RGColor lightGreen -> 'Only incoming needed deltas'.
		 RGColor veryLightGray -> 'Only outgoing needed deltas'.
		 RGColor lightOrange -> 'Both incoming/outgoing needed deltas'
	}! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 11/17/2009 15:32'!
emptyClass

	^self white! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 6/14/2010 13:33'!
green1
	
	^self fromString: 'D7FFCC'! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 11/17/2009 13:44'!
green2
	
	^self fromString: '99FF66'! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 11/17/2009 13:44'!
green3
	
	^self fromString: '66CC33'! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 11/17/2009 13:44'!
green4
	
	^self fromString: '339900'! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 6/14/2010 13:43'!
green5
	
	^self fromString: '006600'! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 12/1/2011 23:34'!
lightPink 
	^ Color 
		h: Color pink hue
		s: 0.1
		v: Color pink brightness! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 12/1/2011 23:34'!
lightPurple
	^ Color 
		h: Color purple hue
		s: 0.2
		v: Color purple brightness ! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 6/14/2010 13:45'!
lightestBlue

	^self blue1! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 4/12/2010 13:56'!
modifiedComment

	^self yellow2! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 5/31/2010 10:39'!
modifiedMethod

	^self purple3! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 4/12/2010 13:30'!
modifiedPackage

	^self orange! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 11/17/2009 12:59'!
modifiedProtocol

	^self yellow3! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 5/31/2010 10:38'!
modifiedSourceCode

	^self blue3! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 4/12/2010 13:30'!
modifiedSuperclass

	^self blue3! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 11/18/2009 15:37'!
purple3
	
	^self fromString: '6600CC'! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 6/14/2010 13:31'!
red1

	^self fromString: 'FFD7CC'! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 11/17/2009 13:44'!
red2

	^self fromString: 'FF9999'! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 11/17/2009 13:44'!
red3

	^self fromString: 'FF6666'! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 7/14/2010 13:03'!
red4

	^self fromString: 'FF0000'
	"^self fromString: '996600'"! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 11/17/2009 12:56'!
removedComment

	^self red1! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 11/17/2009 13:46'!
removedMethod

	^self red4! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 8/2/2010 17:25'!
removedProtocol

	^self red3! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 8/2/2010 17:25'!
removedVariable

	^self red2! !

!RGColor classSide methodsFor: 'visualizations' stamp: 'VeronicaUquillas 6/2/2010 09:55'!
shapeForColor: aColor

	(aColor = self addedVariable
		or:[ aColor = self removedVariable ])
	ifTrue:[ ^MOTriangleShape new ].
	
	^MORectangleShape new! !

!RGColor classSide methodsFor: 'colors for entities' stamp: 'VeronicaUquillas 11/25/2009 13:13'!
unchanged

	^self white! !

!RGColor classSide methodsFor: 'visualizations' stamp: 'VeronicaUquillas 6/10/2010 11:54'!
viewBorderColorsAndMeaningsOn: view
	| headers |
	
	headers:= { 'Added' . 'Modified' . ' Removed'}.
	view nodeShape withoutBorder.
	view node: headers forIt:[
		view nodeShape withoutBorder.
		view interaction popupText: [ :each| each ].
		view nodeShape
			withoutBorder;
			fontSize: 7;
			text:[ :each| each ].
		view nodes: headers.
		view horizontalLineLayout
			gapSize: 2;
			horizontalGap: 2 ].
	
	view nodeShape withoutBorder.
	view interaction popupText: [ :each| '' ].
	view nodes: self borderColors forEach:[ :border|
		view nodeShape withoutBorder.
		view interaction popupText: [ :each| '' ].
		view node: border forIt:[
			view interaction popupText: [ :each| (self borderColorsMeanings at: each key), border first ].
			view nodeShape
				borderWidth: 2;
				borderColor: [ :each| each key ];
				borderStyle: [ :each| each value ];
				height: 18;
				width: 18.
			view nodes: border second.
			view interaction popupText: [ :each| border first ].
			view nodeShape
				withoutBorder;
				fontSize: 7;
				text:[ :each| '  ', each ].
			view node: border first.
			view horizontalLineLayout
				gapSize: 0;
				horizontalGap: 20;
				alignCenter ] ].
	
	view verticalLineLayout
		gapSize: 0;
		horizontalGap: 0;
		verticalGap: -5;
		verticalOutGap: 1 ! !

!RGColor classSide methodsFor: 'visualizations' stamp: 'VeronicaUquillas 6/10/2010 11:42'!
viewDashboardColorsAndMeaningsOn: view
	| headers |
	
	headers:= { 'Added' . 'Removed' . 'Modified'}.
	view nodeShape withoutBorder.
	view node: headers forIt:[
		view nodeShape withoutBorder.
		view interaction popupText: [ :each| each ].
		view nodeShape
			withoutBorder;
			fontSize: 7;
			text:[ :each| each ].
		view nodes: headers.
		view horizontalLineLayout
			gapSize: 2;
			horizontalGap: 2 ].
	
	view nodeShape withoutBorder.
	view nodes: self dashboardColors forEach:[ :border|
		view nodeShape withoutBorder.
		view interaction popupText: [ :each| '' ].
		view node: border forIt:[
			view interaction popupText: [ :each| self colorsAndMeanings at: each ].
			view nodeShape
				withoutBorder;
				fillColor:[ :each| each isNil ifTrue:[ self unchanged ] ifFalse:[ each ] ];
				text:[ :each| each isNil ifTrue:[ 'N/A'] ifFalse:[ '' ]];
				height: 16;
				width: 16.
			view nodes: border second.
			view interaction popupText: [ :each| border first ].
			view nodeShape
				withoutBorder;
				fontSize: 7;
				text:[ :each| each ].
			view node: border first.
			view horizontalLineLayout
				gapSize: 0;
				horizontalGap: 23;
				alignCenter ] ].
	
	view verticalLineLayout
		gapSize: 0;
		horizontalGap: 0;
		verticalGap: -5;
		verticalOutGap: 1 ! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 11/17/2009 12:48'!
yellow1

	^self fromString: 'FFFFCC'! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 11/17/2009 12:49'!
yellow2

	^self fromString: 'FFFF00'! !

!RGColor classSide methodsFor: 'colors' stamp: 'VeronicaUquillas 11/17/2009 12:54'!
yellow3

	^self fromString: 'FFCC00'! !
RGMenuIcons initialize!
